## opengtl 0.9.14

=== CMakeLists.txt ===
project(OpenGTL)

cmake_minimum_required(VERSION 2.6)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )

option(OPENGTL_BUILD_TESTS "Build tests" OFF)
option(OPENGTL_ENABLE_DEBUG_OUTPUT "Enable (heavy) debug output (only do that for debugging OpenGTL" OFF)
option(OPENGTL_FULL_WARNINGS "Build OpenGTL with all warnings" OFF)
option(OPENGTL_CODE_COVERAGE "Activate code coverage for tests" OFF)
option(OVERIDE_LLVM_ASSERT "Use this only for debug purposes, this break thread safety." OFF)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

set(OPENGTL_VERSION "0.9.14")
set(OPENGTL_LIB_VERSION ${OPENGTL_VERSION})
set(OPENGTL_LIB_SOVERSION "0.7")

set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/)
set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(SHARE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/OpenGTL/)
set(DOC_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/OpenGTL/)
set(GTLIMAGEIO_EXTENSIONS_INSTALL_DIR ${LIB_INSTALL_DIR}/GTLImageIO/Extensions)

#
# Define INSTALL_TARGETS_DEFAULT_ARGS to be used as install target for program and library. It will do the right thing on all platform
#
set(INSTALL_TARGETS_DEFAULT_ARGS  RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                  ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )


# on the Mac support an extra install directory for application bundles starting with cmake 2.6
if(APPLE)
   set(INSTALL_TARGETS_DEFAULT_ARGS  ${INSTALL_TARGETS_DEFAULT_ARGS}
                               BUNDLE DESTINATION "${BUNDLE_INSTALL_DIR}" )
endif(APPLE)


set(OPENGTL_TESTS_DATA "" CACHE FILEPATH "Directory that contains the data of the tests.")

include (TestBigEndian)
test_big_endian(CMAKE_WORDS_BIGENDIAN)
configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )

find_package(LLVM REQUIRED)
if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" ) # There is no way with MSVC to know the llvm version
  message(FATAL_ERROR "LLVM 2.7 is required.")
endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" )

if(MSVC)
  add_definitions(/FIiso646.h)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/msvc/build)
  install( FILES msvc/inst/stdint.h DESTINATION ${INCLUDE_INSTALL_DIR} )
endif(MSVC)

find_package(Threads)

if(CMAKE_USE_PTHREADS_INIT)
  set(PTHREAD_FOUND TRUE)
  set(GTLTEST_THREAD_SUPPORT TRUE)
  add_definitions(-DOPENGTL_HAVE_PTHREAD)
  add_definitions(-DGTLTEST_HAVE_THREAD)
  message(STATUS "pthread was found.")
else(CMAKE_USE_PTHREADS_INIT)
  message(STATUS "pthread wasn't found, thread tests won't be available and memory manager will use hash.")
endif(CMAKE_USE_PTHREADS_INIT)

if(OPENGTL_BUILD_TESTS)
  include(CTest)
  add_definitions(-DOPENGTL_ENABLE_TESTS)
endif(OPENGTL_BUILD_TESTS)

if(OPENGTL_ENABLE_DEBUG_OUTPUT)
  add_definitions(-DOPENGTL_ENABLE_DEBUG_OUTPUT)
endif(OPENGTL_ENABLE_DEBUG_OUTPUT)

if(NOT LLVM_COMPILED_WITHOUT_ASSERTS)
  if(OVERIDE_LLVM_ASSERT)
    message(STATUS "llvm was build with asserts, this is not supported by OpenGTL but you have enable the overide")
  else()
    message(FATAL_ERROR "llvm was build with asserts, this is not supported by OpenGTL (llvm with asserts is not thread safe).")
  endif()
endif(NOT LLVM_COMPILED_WITHOUT_ASSERTS)

if(OPENGTL_FULL_WARNINGS)
  set(OPENGTL_BUILD_DEFINITION "-Wall -Werror")
endif(OPENGTL_FULL_WARNINGS)

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
  # 32 bits
  message(STATUS "OpenGTL detected that you use a 32 bit processor.")
  set(OPENGTL_TESTS_DATA_RESULTS_DIR results32)
  set(OPENGTL_32_BITS TRUE)
  
else(CMAKE_SIZEOF_VOID_P EQUAL 4)
  # 32 bits
  message(STATUS "OpenGTL detected that you use a 64 bit processor.")
  set(OPENGTL_TESTS_DATA_RESULTS_DIR results64)
  set(OPENGTL_32_BITS FALSE)
  # check that llvm was build with -fPIC
  if(NOT LLVM_COMPILED_WITH_PIC AND NOT APPLE)
    message(FATAL_ERROR "llvm wasn't build with PIC enabled, this is not surported on 64bits.")
  endif()
endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/OpenGTL ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/OpenGTL
)

if(OPENGTL_32_BITS)
  add_definitions( -DOPENGTL_32_BITS )
endif(OPENGTL_32_BITS)

# Test for visibility in gcc

if (CMAKE_COMPILER_IS_GNUCXX AND NOT APPLE)
  include (MacroEnsureVersion)
  include (CheckCXXCompilerFlag)

  # visibility support
  check_cxx_compiler_flag(-fvisibility=hidden __GTL_HAVE_GCC_VISIBILITY)
  set( __GTL_HAVE_GCC_VISIBILITY ${__GTL_HAVE_GCC_VISIBILITY} CACHE BOOL "GCC support for hidden visibility")

   # get the gcc version
   exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} --version OUTPUT_VARIABLE _gcc_version_info)

   string (REGEX MATCH "[345]\\.[0-9]\\.[0-9]" _gcc_version "${_gcc_version_info}")
   # gcc on mac just reports: "gcc (GCC) 3.3 20030304 ..." without the patch level, handle this here:
   if (NOT _gcc_version)
      string (REGEX REPLACE ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${_gcc_version_info}")
   endif (NOT _gcc_version)

   macro_ensure_version("4.1.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_1)
   macro_ensure_version("4.2.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_2)
   macro_ensure_version("4.3.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_3)

   # save a little by making local statics not threadsafe
   # ### do not enable it for older compilers, see
   # ### http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31806
   if (GCC_IS_NEWER_THAN_4_3)
       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-threadsafe-statics")
   endif (GCC_IS_NEWER_THAN_4_3)

   set(_GCC_COMPILED_WITH_BAD_ALLOCATOR FALSE)
   if (GCC_IS_NEWER_THAN_4_1)
      exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} -v OUTPUT_VARIABLE _gcc_alloc_info)
      string(REGEX MATCH "(--enable-libstdcxx-allocator=mt)" _GCC_COMPILED_WITH_BAD_ALLOCATOR "${_gcc_alloc_info}")
   endif (GCC_IS_NEWER_THAN_4_1)

   if (__GTL_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
      set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

      if (GCC_IS_NEWER_THAN_4_2)
          set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
      endif (GCC_IS_NEWER_THAN_4_2)
   else (__GTL_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
      set (__GTL_HAVE_GCC_VISIBILITY 0)
   endif (__GTL_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)

endif ()

# Enable code coverage

if(OPENGTL_CODE_COVERAGE)
    find_program( LCOV lcov )
    find_program( LCOV_GENHTML genhtml )
    if( LCOV )
        set( LCOV_RDIR "${CMAKE_BINARY_DIR}/lcov-report" )
        add_definitions(-fprofile-arcs -ftest-coverage)
        set (CMAKE_SHARED_LINKER_FLAGS  "${CMAKE_SHARED_LINKER_FLAGS} -fprofile-arcs -ftest-coverage")
        set (CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXEC_LINKER_FLAGS} -fprofile-arcs -ftest-coverage")
        add_custom_target( coverage-clean
          COMMAND mkdir -p ${LCOV_RDIR}
          COMMAND ${LCOV} -d ${CMAKE_BINARY_DIR} -z
          COMMAND ${LCOV} -c -i -d ${CMAKE_BINARY_DIR} -o ${LCOV_RDIR}/base.info
        )
        add_custom_target( coverage
          COMMAND mkdir -p ${LCOV_RDIR}
          COMMAND ${LCOV} --quiet -c -d ${CMAKE_BINARY_DIR} -o ${LCOV_RDIR}/base.info
          COMMAND ${LCOV_GENHTML} ${LCOV_RDIR}/base.info -o ${LCOV_RDIR}/html
        )
    else( LCOV )
        message( SEND_ERROR "Could not find LCOV, disabling coverage report generation." )
    endif( LCOV )
endif(OPENGTL_CODE_COVERAGE)

# Add subdirectories

add_subdirectory(OpenGTL)
add_subdirectory(OpenCTL)
add_subdirectory(OpenShiva)
add_subdirectory(Extensions)

=== OpenGTL/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

add_definitions( ${OPENGTL_BUILD_DEFINITION} )

add_subdirectory(GTLCore)
if(OPENGTL_BUILD_TESTS)
  add_subdirectory(GTLTest)
endif(OPENGTL_BUILD_TESTS)
add_subdirectory(GTLImageIO)
add_subdirectory(tools)

=== Extensions/RawDC/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libraw )

SET(libraw_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_common.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_fileio.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/foveon.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_cxx.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_c_api.cpp
   )

set( RAW_DC_SRCS
     RawDC.cpp )

add_library( RawDC SHARED ${RAW_DC_SRCS} ${libraw_LIB_SRCS} )
target_link_libraries( RawDC GTLImageIO )

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( -DCOUMPONENT_NAME=\"\\\"RawDC\\\"\" )

# Install target
install( TARGETS RawDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW

=== OpenCTL/OpenCTL/CMakeLists.txt ===

include_directories( ${LLVM_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/ ${CMAKE_CURRENT_SOURCE_DIR}/compiler ${CMAKE_CURRENT_BINARY_DIR} )

# List of files 
set(OpenCTL_SRCS
  Debug.cpp
  Module.cpp
  ModulesManager.cpp
  Program.cpp
  Template.cpp
  Version.cpp
# Internal files
  StdLibFunctions.cpp
  compiler/Compiler.cpp
  compiler/LexerNG.cpp
  compiler/ParserNG.cpp
# Template files
  templatecompiler/GenerationContext_p.cpp
  templatecompiler/TemplateAST.cpp
  templatecompiler/TemplateLexer.cpp
  templatecompiler/TemplateParser.cpp
  ${LLVM_NATIVE_OBJECTS}
    )

# Add the OpenCTL library for build
add_library(OpenCTL SHARED ${OpenCTL_SRCS})
target_link_libraries(OpenCTL GTLCore )

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( "-D__STDC_CONSTANT_MACROS" )
add_definitions( -DCOUMPONENT_NAME="OpenCTL" )

add_definitions( -D_OPENCTL_LIB_="${CMAKE_INSTALL_PREFIX}/lib/libOpenCTL.so.${OPENGTL_LIB_SOVERSION}")
add_definitions( -D_OPENCTL_CTL_STD_LIB_SRC_DIR_="${CMAKE_CURRENT_SOURCE_DIR}")
add_definitions( -D_OPENCTL_CTL_SHARE_DIR_="${SHARE_INSTALL_DIR}/ctl" )


# Set the ABI version of the library
set_target_properties(OpenCTL PROPERTIES VERSION ${OPENCTL_LIB_VERSION} SOVERSION ${OPENCTL_LIB_SOVERSION} )

# Install target
install(TARGETS OpenCTL ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES
  Export.h
  Module.h
  ModulesManager.h
  Program.h
  Template.h
  Version.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/OpenCTL )

# Create and install pc file
configure_file("OpenCTL.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/OpenCTL.pc" @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCTL.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)  

# Install standard library
install(FILES ctlstdlib.ctl DESTINATION ${SHARE_INSTALL_DIR}/ctl )

=== OpenCTL/tests/arithmetic/CMakeLists.txt ===

set( TESTS_FILES
  addition_good.ctl
  substraction_good.ctl
  addition_bad.ctl
  substraction_bad.ctl
  multiplication.ctl
  shift.ctl
  orandnot.ctl
  bitsoperations.ctl
  comparisons.ctl
  division.ctl
  modulo.ctl
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${CTLI} -L ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

=== OpenCTL/tests/parse/CMakeLists.txt ===

set( TESTS_FILES
  multilinecomment.ctl
  singlelinecomment.ctl
  ctlversion.ctl
  namespace.ctl
  struct.ctl
  constant.ctl
  return_in_if.ctl
  simplecoumpoundinitializer.ctl
  structcoumpoundinitializer.ctl
  function_empty.ctl
  function_empty_parameter_0.ctl
  function_empty_parameter_1.ctl
  function_empty_parameter_2.ctl
  function_empty_parameter_3.ctl
  function_empty_parameter_4.ctl
   expression_simple.ctl
  expression_complex.ctl
  function_variabledefinition.ctl
  function_structuredefinition.ctl
  function_assignement.ctl
  function_expression.ctl
  function_compound_statement.ctl
  function_call_function.ctl
  function_for_statement.ctl
  function_for_empty_statement.ctl
  function_if_statement.ctl
  function_print_statement.ctl
  function_return_statement.ctl
  function_while_statement.ctl
  function_while_complex_statement.ctl
  function_output_variable.ctl
  function_use_global_constant.ctl
  function_expression_complex.ctl
  unaryoperator_tilde_integer.ctl
  variable_scope.ctl
  varying.ctl
  function_scope.ctl
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${CTLC} --no-std-lib -L ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

set( TESTS_FAIL_FILES
  ctlversionunsupported.ctl
  namespacedouble.ctl
  nestednamespace.ctl
  unaryoperator_tilde_float.ctl
  expression_fail_1.ctl
  expression_fail_2.ctl
  function_empty_parameter_fail.ctl
  name_conflict.ctl
  function_name_conflict.ctl
  global_const_non_const_initializer.ctl
  function_output_not_variable.ctl
  function_out_of_scope.ctl
  affect_constant.ctl
  convert_to_void.ctl
  )

FOREACH( TEST_FILE ${TESTS_FAIL_FILES} )
  ADD_TEST(${TEST_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/../../../sdk/invertresult.sh ${CTLC} -L ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

=== OpenShiva/tests/parse/CMakeLists.txt ===

set( TESTS_FILES
  metadata.shiva
  kernel.shiva
  for.shiva
  region.shiva
  import.shiva
  multipledependent.shiva
  dependentarray.shiva
  cstyleconvertinexpressions.shiva
  hints.shiva
  minimwidthheight.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVAC} -L ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

set( TESTS_FAIL_FILES
  samefunctionsignature.shiva
  dependentpixel.shiva
  constpixel.shiva
  metadatargb.shiva
  )

FOREACH( TEST_FILE ${TESTS_FAIL_FILES} )
  ADD_TEST(${TEST_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/../../../sdk/invertresult.sh ${SHIVAC} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

=== OpenShiva/tests/stdlib/CMakeLists.txt ===

set( TESTS_FILES
  deg2rad.shiva
  floor.shiva
  length.shiva
  ceil.shiva
  fract.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVATESTER} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

=== OpenShiva/tests/vectors/CMakeLists.txt ===

set( TESTS_FILES
  creation.shiva
  copy.shiva
  copy4.shiva
  operations.shiva
  coumpoundcreation.shiva
  functioncalling.shiva
  functionreturning.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVATESTER} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

=== debian/changelog ===
opengtl (0.9.14-0ubuntu6) maverick; urgency=low

  * Explicitely use llvm-2.7 and llvm-config-2.7. LP: #632727.
  * Link using the shared libLLVM-2.7.
  * Remove the llvm noise from the symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Sep 2010 15:20:03 +0200

opengtl (0.9.14-0ubuntu5) maverick; urgency=low

  * Update libopenctl0.7.symbols for armel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jun 2010 10:40:23 +0100

opengtl (0.9.14-0ubuntu4) maverick; urgency=low

  * Fix symbols file for amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jun 2010 11:26:21 +0000

opengtl (0.9.14-0ubuntu2) maverick; urgency=low

  * Fix build-depend, should be llvm-2.7-dev
  * Add build-dep on texlive-latex-base:

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jun 2010 16:56:24 +0100

opengtl (0.9.14-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add .symbols files
  * Split up into separate packages for each library
  * Use 0.7 as package suffix to match soname

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jun 2010 13:02:17 +0100

=== debian/control ===
Source: opengtl
Section: graphics
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7), cmake, llvm-2.7-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended
Standards-Version: 3.8.4
Homepage: http://www.opengtl.org/

Package: libgtlcore0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtlcore0
Conflicts: libgtlcore0
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the libgtlcore and libshiva libraries.

Package: libgtlimageio0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtlcore0, libgtlcore-dev
Conflicts: libgtlcore0, libgtlcore-dev
Description: Graphics Transformation Libraries Image IO
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the libgtlimageio library.

Package: libopenshiva0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtlcore0
Conflicts: libgtlcore0
Description: Graphics Transformation Libraries Shiva
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 Shiva is a programming language intented to transform an image by
 applying a kernel-like transformation.
 .
 This package contains the libopenshiva library.

Package: libopenctl0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopenctl0
Conflicts: libopenctl0
Description: OpenCTL from Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the OpenCTL (Colour Transformation Language)
 library.

Package: opengtl-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0.7 (= ${binary:Version}), 
 libgtlimageio0.7 (= ${binary:Version}), libopenshiva0.7 (= ${binary:Version}),
 libopenctl0.7 (= ${binary:Version})
Replaces: libgtlcore-dev, libopenctl-dev
Conflicts: libgtlcore-dev, libopenctl-dev
Description: Graphics Transformation Libraries development files
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains development files for OpenGTL libraries.

Package: opengtl-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains some tools that are useful when developing for
 OpenGTL, or to use some of its functionality from the command line:
  - ctlc compile a ctl program
  - ctli execute a function from a ctl program
  - shivac compile a shiva kernel
  - shiva apply a kernel on a set of images

## opengtl 0.9.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
-set(OPENGTL_VERSION "0.9.14")
+set(OPENGTL_VERSION "0.9.15")
 set(OPENGTL_LIB_VERSION ${OPENGTL_VERSION})
 set(OPENGTL_LIB_SOVERSION "0.7")
 
@@ -45,9 +45,9 @@
 configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )
 
 find_package(LLVM REQUIRED)
-if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" ) # There is no way with MSVC to know the llvm version
-  message(FATAL_ERROR "LLVM 2.7 is required.")
-endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" )
+if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" ) # There is no way with MSVC to know the llvm version
+  message(FATAL_ERROR "LLVM 2.8 is required.")
+endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" )
 
 if(MSVC)
   add_definitions(/FIiso646.h)

=== OpenShiva/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

add_definitions( ${OPENGTL_BUILD_DEFINITION} )

set(SHIVAC "${CMAKE_CURRENT_BINARY_DIR}/tools/compiler/shivac")
set(SHIVAI "${CMAKE_CURRENT_BINARY_DIR}/tools/interpreter/shivai")
set(SHIVATESTER "${CMAKE_CURRENT_BINARY_DIR}/tools/tester/shivatester")


set(OPENSHIVA_VERSION ${OPENGTL_VERSION})
set(OPENSHIVA_LIB_VERSION ${OPENGTL_LIB_VERSION})
set(OPENSHIVA_LIB_SOVERSION ${OPENGTL_LIB_SOVERSION})

add_subdirectory(OpenShiva)
add_subdirectory(tools)
if(OPENGTL_BUILD_TESTS)
  add_subdirectory(tests)
endif(OPENGTL_BUILD_TESTS)
add_subdirectory(doc)

=== OpenGTL/GTLCore/CMakeLists.txt ===
if(OPENGTL_BUILD_TESTS)
  add_subdirectory(tests)
endif(OPENGTL_BUILD_TESTS)

# Find llvm jit, interpreter and native
if(MSVC)
  set( LLVM_LIBS
      ${LLVM_LIBRARIES_PATH}/LLVMCore.lib
      ${LLVM_LIBRARIES_PATH}/LLVMipo.lib
      ${LLVM_LIBRARIES_PATH}/LLVMInterpreter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMJIT.lib
      ${LLVM_LIBRARIES_PATH}/LLVMExecutionEngine.lib
      ${LLVM_LIBRARIES_PATH}/LLVMLinker.lib
      ${LLVM_LIBRARIES_PATH}/LLVMArchive.lib
      ${LLVM_LIBRARIES_PATH}/LLVMBitReader.lib
      ${LLVM_LIBRARIES_PATH}/LLVMBitWriter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86AsmParser.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86AsmPrinter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86CodeGen.lib
      ${LLVM_LIBRARIES_PATH}/LLVMSelectionDAG.lib
      ${LLVM_LIBRARIES_PATH}/LLVMAsmPrinter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMCodeGen.lib
      ${LLVM_LIBRARIES_PATH}/LLVMScalarOpts.lib
      ${LLVM_LIBRARIES_PATH}/LLVMTransformUtils.lib
      ${LLVM_LIBRARIES_PATH}/LLVMipa.lib
      ${LLVM_LIBRARIES_PATH}/LLVMAnalysis.lib
      ${LLVM_LIBRARIES_PATH}/LLVMTarget.lib
      ${LLVM_LIBRARIES_PATH}/LLVMMC.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86Info.lib
      ${LLVM_LIBRARIES_PATH}/LLVMSupport.lib
      ${LLVM_LIBRARIES_PATH}/LLVMSystem.lib )
else(MSVC)
  FIND_LLVM_LIBS( ${LLVM_CONFIG_EXECUTABLE} "native bitwriter linker bitreader jit interpreter support ipo" LLVM_LIBS LLVM_NATIVE_OBJECTS )
endif(MSVC)

include_directories( ${LLVM_INCLUDE_DIR} )

## Generate macros.h file

configure_file(Macros.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Macros.h )

## GTLCore library ##

set(GTLCore_SRCS
  AbstractImage.cpp
  Array.cpp
  Buffer.cpp
  BufferImage.cpp
  Debug.cpp
  ChannelsFlags.cpp
  Color.cpp
  CompilationMessage.cpp
  CompilationMessages.cpp
  Function.cpp
  Image.cpp
  Parameter.cpp
  PixelDescription.cpp
  ProgressReport.cpp
  ScopedName.cpp
  String.cpp
  Transform.cpp
  Type.cpp
  TypesManager.cpp
  Value.cpp
  Version.cpp
# Internal files
  CompilerBase_p.cpp
  ConvertCenter_p.cpp
  ErrorMessages_p.cpp
  Function_p.cpp
  FunctionCaller_p.cpp
  FloatHalfConverter_p.cpp
  LexerBase_p.cpp
  MemoryManager_p.cpp
  ModuleData_p.cpp
  ParserBase_p.cpp
  SharedPointer.cpp
  Token_p.cpp
  Type_p.cpp
  TypesManager_p.cpp
  VariableNG_p.cpp
  VariablesManager_p.cpp
  VirtualMachine_p.cpp
# AST
  AST/AccessorExpression.cpp
  AST/Annotation.cpp
  AST/BinaryExpression.cpp
  AST/ConvertExpression.cpp
  AST/CompoundExpression.cpp
  AST/ConstantCompoundExpression.cpp
  AST/GarbageCollectionStatement.cpp
  AST/GenerationVisitor.cpp
  AST/ExpressionResult.cpp
  AST/Expression.cpp
  AST/FunctionDeclaration.cpp
  AST/Node.cpp
  AST/Statement.cpp
  AST/Tree.cpp
  AST/UnaryExpression.cpp
# ASTBackend
  ASTBackend/ExpressionResult.cpp
  ASTBackend/GenerationVisitor.cpp
# LLVMBackend
  LLVMBackend/CodeGenerator_p.cpp
  LLVMBackend/ExpressionResult_p.cpp
  LLVMBackend/ExpressionGenerationContext_p.cpp
  LLVMBackend/GenerationContext_p.cpp
  LLVMBackend/Visitor_p.cpp
# Metadata
  Metadata/Debug_p.cpp
  Metadata/Entry.cpp
  Metadata/Group.cpp
  Metadata/ParameterEntry.cpp
  Metadata/TextEntry.cpp
  Metadata/ValueEntry.cpp
  Metadata/Factory_p.cpp
# wrappers
  wrappers/Allocate.cpp
  wrappers/ProgressReportWrap.cpp
  wrappers/TransformWrap_p.cpp
  ${LLVM_NATIVE_OBJECTS}
  )


# Create GTLCore library
add_library(GTLCore SHARED ${GTLCore_SRCS} ${llvm_objects})

if(NOT MSVC AND NOT APPLE)
set(EXTRA_GTLCORE_LINK_OPTIONS -Wl,-u,_ZN4llvm15ExecutionEngine9createJITEPNS_6ModuleEPSsPNS_16JITMemoryManagerENS_10CodeGenOpt5LevelEbNS_9CodeModel5ModelE )
elseif(APPLE)
set(EXTRA_GTLCORE_LINK_OPTIONS -Wl,-u,__ZN4llvm15ExecutionEngine9createJITEPNS_6ModuleEPSsPNS_16JITMemoryManagerENS_10CodeGenOpt5LevelEbNS_9CodeModel5ModelE )
endif()

target_link_libraries(GTLCore ${LLVM_LDFLAGS} ${LLVM_LIBS} ${EXTRA_GTLCORE_LINK_OPTIONS})

# Set the ABI version of the library
set_target_properties(GTLCore PROPERTIES VERSION ${OPENGTL_LIB_VERSION} SOVERSION ${OPENGTL_LIB_SOVERSION} )

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( "-D__STDC_CONSTANT_MACROS" )
add_definitions( -DCOUMPONENT_NAME="GTLCore" )

# installation
install(TARGETS GTLCore ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES
  AbstractImage.h
  Array.h
  Buffer.h
  BufferImage.h
  ChannelsFlags.h
  Color.h
  CompilationMessage.h
  CompilationMessages.h
  Export.h
  Function.h
  ${CMAKE_CURRENT_BINARY_DIR}/Macros.h
  Image.h
  Parameter.h
  PixelDescription.h
  ProgressReport.h
  Region.h
  ScopedName.h
  StdTypes.h
  String.h
  Transform.h
  Type.h
  TypesManager.h
  Value.h
  Version.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore )

install( FILES Metadata/ParameterEntry.h Metadata/Entry.h Metadata/Group.h Metadata/TextEntry.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )

# Create and install pc file
configure_file("GTLCore.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc" @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

=== OpenCTL/tests/complextypes/CMakeLists.txt ===

set( TESTS_FILES
  struct.ctl
  structarray.ctl
  arraystruct.ctl
  array.ctl
  arrayarray.ctl
  initarray.ctl
  arraysimplecoumpoundinitialisation.ctl
  arrayarraysimplecoumpoundinitialiser.ctl
  arrayfunctioncoumpoundinitialisation.ctl
  arrayargfunction.ctl
  structsimplecoumpoundinitialiser.ctl
  structarraysimplecoumpoundinitialiser.ctl
  structarrayarraysimplecoumpoundinitialiser.ctl
  structfunctioncoumpoundinitialisation.ctl
  copystruct.ctl
  copyarray.ctl
  returnstruct.ctl
  returnarray.ctl
  constarraynosize.ctl
  returnarrayarray.ctl
  arrayoverflow.ctl
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${CTLI} -L ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

=== OpenShiva/tests/misc/CMakeLists.txt ===

set( TESTS_FILES
  clamp.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVATESTER} -c ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE} ${OPENGTL_TESTS_DATA}/${OPENGTL_TESTS_DATA_RESULTS_DIR}/${TEST_FILE}.png)
ENDFOREACH( TEST_FILE )

=== debian/changelog ===
opengtl (0.9.15-0ubuntu3) oneiric; urgency=low

  * Cherry-pick upstream commit c6f1381966ff as infinite-loop-fix.diff
    to fix krita hanging on launch. (LP: #815992)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2011 12:20:50 +0200

opengtl (0.9.15-0ubuntu2) natty; urgency=low

  * Use common symbols files for all architectures
    - Update symbols files using pkgkde-symbolshelper
    - Add pkg-kde-tools to build-depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Dec 2010 22:53:42 -0500

opengtl (0.9.15-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Bump llvm build-depend to llvm-2.8-dev
    - Update debian/patches/shared-llvm-lib.diff for LLVM 2.8
    - Update symbols files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 Oct 2010 18:07:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: opengtl
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7), cmake, llvm-2.7-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended
+Build-Depends: debhelper (>= 7), cmake, llvm-2.8-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended, pkg-kde-tools
 Standards-Version: 3.8.4
 Homepage: http://www.opengtl.org/

## opengtl 0.9.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,15 +6,16 @@
 
 option(OPENGTL_BUILD_TESTS "Build tests" OFF)
 option(OPENGTL_ENABLE_DEBUG_OUTPUT "Enable (heavy) debug output (only do that for debugging OpenGTL" OFF)
+option(OPENGTL_ENABLE_DEBUG_THREAD "Test if functions are accessed by different thread" OFF)
 option(OPENGTL_FULL_WARNINGS "Build OpenGTL with all warnings" OFF)
 option(OPENGTL_CODE_COVERAGE "Activate code coverage for tests" OFF)
 option(OVERIDE_LLVM_ASSERT "Use this only for debug purposes, this break thread safety." OFF)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
-set(OPENGTL_VERSION "0.9.15")
+set(OPENGTL_VERSION "0.9.16")
 set(OPENGTL_LIB_VERSION ${OPENGTL_VERSION})
-set(OPENGTL_LIB_SOVERSION "0.7")
+set(OPENGTL_LIB_SOVERSION "0.8")
 
 set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/)
 set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
@@ -45,14 +46,17 @@
 configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )
 
 find_package(LLVM REQUIRED)
-if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" ) # There is no way with MSVC to know the llvm version
-  message(FATAL_ERROR "LLVM 2.8 is required.")
-endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" )
+
+if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "3.0" ) # There is no way with MSVC to know the llvm version
+  message(FATAL_ERROR "LLVM 3.0 is required.")
+endif()
 
 if(MSVC)
   add_definitions(/FIiso646.h)
   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/msvc/build)
   install( FILES msvc/inst/stdint.h DESTINATION ${INCLUDE_INSTALL_DIR} )
+  set(LLVM_COMPILED_WITHOUT_ASSERTS true)
+  add_definitions(/W0)
 endif(MSVC)
 
 find_package(Threads)
@@ -76,6 +80,10 @@
   add_definitions(-DOPENGTL_ENABLE_DEBUG_OUTPUT)
 endif(OPENGTL_ENABLE_DEBUG_OUTPUT)
 
+if(OPENGTL_ENABLE_DEBUG_THREAD)
+  add_definitions(-DOPENGTL_ENABLE_DEBUG_THREAD)
+endif(OPENGTL_ENABLE_DEBUG_THREAD)
+
 if(NOT LLVM_COMPILED_WITHOUT_ASSERTS)
   if(OVERIDE_LLVM_ASSERT)
     message(STATUS "llvm was build with asserts, this is not supported by OpenGTL but you have enable the overide")
@@ -85,7 +93,7 @@
 endif(NOT LLVM_COMPILED_WITHOUT_ASSERTS)
 
 if(OPENGTL_FULL_WARNINGS)
-  set(OPENGTL_BUILD_DEFINITION "-Wall -Werror")
+  set(OPENGTL_BUILD_DEFINITION "-Waddress -Warray-bounds -Wc++0x-compat -Wchar-subscripts -Wcomment -Wformat -Wmissing-braces -Wparentheses -Wreorder -Wreturn-type -Wsequence-point -Wsign-compare -Wstrict-aliasing -Wstrict-overflow=1 -Wswitch -Wtrigraphs -Wuninitialized -Wunknown-pragmas -Wunused-function -Wunused-label -Wunused-value -Wvolatile-register-var -Werror -Wno-deprecated-declarations") # -Wall without -Wunused-variable  since it is buggy in gcc 4.6
 endif(OPENGTL_FULL_WARNINGS)
 
 if(CMAKE_SIZEOF_VOID_P EQUAL 4)
@@ -186,8 +194,13 @@
 
 # Add subdirectories
 
+option(OPENGTL_BUILD_OPENRIJN "Build OpenRijn" OFF)
+
 add_subdirectory(OpenGTL)
 add_subdirectory(OpenCTL)
 add_subdirectory(OpenShiva)
 add_subdirectory(Extensions)
 
+if(OPENGTL_BUILD_OPENRIJN)
+  add_subdirectory(OpenRijn)
+endif(OPENGTL_BUILD_OPENRIJN)

=== OpenGTL/GTLCore/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 ## GTLCore library ##
 
 set(GTLCore_SRCS
+  AbstractColorConverter.cpp
   AbstractImage.cpp
   Array.cpp
   Buffer.cpp
@@ -49,6 +50,7 @@
   Debug.cpp
   ChannelsFlags.cpp
   Color.cpp
+  ColorConverters.cpp
   CompilationMessage.cpp
   CompilationMessages.cpp
   Function.cpp
@@ -62,8 +64,10 @@
   Type.cpp
   TypesManager.cpp
   Value.cpp
+  Value_p.cpp
   Version.cpp
 # Internal files
+  ChannelMaths.cpp
   CompilerBase_p.cpp
   ConvertCenter_p.cpp
   ErrorMessages_p.cpp
@@ -73,6 +77,7 @@
   LexerBase_p.cpp
   MemoryManager_p.cpp
   ModuleData_p.cpp
+  OperatorOverloadCenter_p.cpp
   ParserBase_p.cpp
   SharedPointer.cpp
   Token_p.cpp
@@ -114,6 +119,10 @@
   Metadata/TextEntry.cpp
   Metadata/ValueEntry.cpp
   Metadata/Factory_p.cpp
+# TimeMachine
+  TimeController.cpp
+  TimeMachine.cpp
+  TimeValue_p.cpp
 # wrappers
   wrappers/Allocate.cpp
   wrappers/ProgressReportWrap.cpp
@@ -163,6 +172,8 @@
   ScopedName.h
   StdTypes.h
   String.h
+  TimeController.h
+  TimeMachine.h
   Transform.h
   Type.h
   TypesManager.h
@@ -170,7 +181,12 @@
   Version.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore )
 
-install( FILES Metadata/ParameterEntry.h Metadata/Entry.h Metadata/Group.h Metadata/TextEntry.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )
+install( FILES
+  Metadata/ParameterEntry.h
+  Metadata/Entry.h
+  Metadata/Group.h
+  Metadata/TextEntry.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )
 
 # Create and install pc file
 configure_file("GTLCore.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc" @ONLY)

=== OpenShiva/tools/CMakeLists.txt ===
add_subdirectory(compiler)
add_subdirectory(interpreter)
add_subdirectory(tester)
add_subdirectory(shivainfo)
add_subdirectory(shivanimator)

=== debian/changelog ===
opengtl (0.9.16-0ubuntu2) precise; urgency=low

  * Fix breaks entries in debian/control to be conflicts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Mar 2012 09:10:04 +0000

opengtl (0.9.16-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove shared-llvm-lib.diff now upstream
  * Add kubuntu_01_llvm_3.0.diff to find llvm-config-3.0
  * SONAME change 0.7 to 0.8, update package names to match

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Mar 2012 14:55:22 +0000

opengtl (0.9.15.1-0ubuntu2) precise; urgency=low

  * Fix symbols file.
  * Enable parallel building.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 11 Dec 2011 19:23:07 +0100

opengtl (0.9.15.1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Dec 2011 12:19:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7), cmake, llvm-2.8-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended, pkg-kde-tools
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cmake, llvm-3.0-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended, pkg-kde-tools
+Standards-Version: 3.9.2
 Homepage: http://www.opengtl.org/
 
-Package: libgtlcore0.7
+Package: libgtlcore0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libgtlcore0
-Conflicts: libgtlcore0
+Replaces: libgtlcore0, libgtlcore0.7
+Conflicts: libgtlcore0, libgtlcore0.7
 Description: Graphics Transformation Libraries
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -22,12 +22,12 @@
  .
  This package contains the libgtlcore and libshiva libraries.
 
-Package: libgtlimageio0.7
+Package: libgtlimageio0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libgtlcore0, libgtlcore-dev
-Conflicts: libgtlcore0, libgtlcore-dev
+Replaces: libgtlcore0, libgtlcore-dev, libgtlimageio0.7
+Conflicts: libgtlcore0, libgtlcore-dev, libgtlimageio0.7
 Description: Graphics Transformation Libraries Image IO
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -37,12 +37,25 @@
  .
  This package contains the libgtlimageio library.
 
-Package: libopenshiva0.7
+Package: libgtlfragment0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libgtlcore0
-Conflicts: libgtlcore0
+Description: Graphics Transformation Libraries Fragment Library
+ OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
+ .
+ Tools, languages and libraries to create generic transformation for
+ graphics. Those transformations could then be used by different
+ programs
+ .
+ This package contains the libgtlfragment library.
+
+Package: libopenshiva0.8
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libgtlcore0, libopenshiva0.7
+Conflicts: libgtlcore0, libopenshiva0.7
 Description: Graphics Transformation Libraries Shiva
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -55,12 +68,12 @@
  .
  This package contains the libopenshiva library.
 
-Package: libopenctl0.7
+Package: libopenctl0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libopenctl0
-Conflicts: libopenctl0
+Replaces: libopenctl0, libopenctl0.7
+Conflicts: libopenctl0, libopenctl0.7
 Description: OpenCTL from Graphics Transformation Libraries
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -74,9 +87,9 @@
 Package: opengtl-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0.7 (= ${binary:Version}), 
- libgtlimageio0.7 (= ${binary:Version}), libopenshiva0.7 (= ${binary:Version}),
- libopenctl0.7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0.8 (= ${binary:Version}), 
+ libgtlimageio0.8 (= ${binary:Version}), libopenshiva0.8 (= ${binary:Version}),
+ libopenctl0.8 (= ${binary:Version})
 Replaces: libgtlcore-dev, libopenctl-dev
 Conflicts: libgtlcore-dev, libopenctl-dev
 Description: Graphics Transformation Libraries development files
